summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-10-24 09:22:01 +0200
committerMichał Górny <mgorny@gentoo.org>2021-10-24 09:29:03 +0200
commitac97e31ecd3bc3daba75f90a96e4387f5a2b6035 (patch)
tree233a96e97f330f87ebdee17936847d4d46acbdbe
parentdev-python/autopep8: Bump to 1.6.0 (diff)
downloadgentoo-ac97e31ecd3bc3daba75f90a96e4387f5a2b6035.tar.gz
gentoo-ac97e31ecd3bc3daba75f90a96e4387f5a2b6035.tar.bz2
gentoo-ac97e31ecd3bc3daba75f90a96e4387f5a2b6035.zip
dev-python/logfury: Bump to 1.0.1
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--dev-python/logfury/Manifest1
-rw-r--r--dev-python/logfury/logfury-1.0.1.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/dev-python/logfury/Manifest b/dev-python/logfury/Manifest
index 0fb5877c339..9a2086b0e7d 100644
--- a/dev-python/logfury/Manifest
+++ b/dev-python/logfury/Manifest
@@ -1,2 +1,3 @@
DIST logfury-0.1.2.gh.tar.gz 15854 BLAKE2B 68fdc692b552c42f509760ba3b6b30d6bdb0066b1179851d9a47e6f8d7b651e3518348ae60cd0726d867d015448253ac058f083c2798b3e5cf7e2e7d86db3929 SHA512 626965bbb8bdebcd7f71fa141de24c7f725933a32f0a00c8799d9778fb41913666c2ef0c71660bf6d00b160b9e34baff682520f4c3570fb0e347f070f010172c
DIST logfury-1.0.0.gh.tar.gz 9889 BLAKE2B e229175807f74d61d018e0c176eeb319bbfa6ab74d6c49fe7520649259d823fddaa5fd2b55f10de53cf299d88c89eb351ec4817fbde6feee439528d68769458d SHA512 f2b7f7f55a54329889941866f454a3e7a88f90a702ebf7809f717b5febf2932594a781d57fe940b8756511d4dee382114db730b6ab5c3358e545c683e03220a1
+DIST logfury-1.0.1.gh.tar.gz 10083 BLAKE2B 81c896a0e13f22802207f5cbe53a9e1c5dac5ff3c1608471809aa11540eac8061a6f89f5af7973a310a5bd9cf96603c873e641e0ae835bdcb87566bf92f7fadb SHA512 dd00d9bddb3aa69f52b892b8025a2d226d5cd0dcad81bcd5abd701284d7cd09717576e9782deb0c209a31ee1c337394c40e76e960b5b8ade38a1c6e601374f86
diff --git a/dev-python/logfury/logfury-1.0.1.ebuild b/dev-python/logfury/logfury-1.0.1.ebuild
new file mode 100644
index 00000000000..c3e902babc3
--- /dev/null
+++ b/dev-python/logfury/logfury-1.0.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Boilerplate library for logging method calls"
+HOMEPAGE="
+ https://github.com/reef-technologies/logfury
+ https://pypi.org/project/logfury/"
+SRC_URI="
+ https://github.com/reef-technologies/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/testfixtures[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # remove pin for old Pythons (sic!)
+ sed -i -e '/setuptools_scm/d' setup.py || die
+ distutils-r1_src_prepare
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}